<template>
    <form class="container" v-on:submit.prevent="submit()">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>Fournisseur
                    </label>
                    <select class="form-control" type="text" name="provider" v-if="resource" v-model="resource.provider" required>
                        <option v-for="provider in providers" v-bind:value="provider">
                            {{provider.name}}
                        </option>
                    </select>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>NUM Facture
                    </label>
                    <input class="form-control" type='text' v-model="resource.num">
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>Date Facture
                    </label>
                    <Datepicker input-class="form-control" type="date" name="dateFacture" :required="true" v-model="resource.dateFacture"></Datepicker>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>Date Payement
                    </label>
                    <Datepicker input-class="form-control" type="date" name="datePayement" :required="true" v-model="resource.datePayement"></Datepicker>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>Montant TTC
                    </label>
                    <input class="form-control" type='text' v-model="resource.ttc">
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>Montant HT
                    </label>
                    <input class="form-control" type='text' v-model="resource.ht">
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>Société
                    </label>
                    <input class="form-control" type='text' v-model="resource.company">
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>Commentaire
                    </label>
                    <input class="form-control" type='text' v-model="resource.commentaire">
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                    <button class="btn btn-secondary" type="button" v-on:click="back()"> Retour </button>
                    <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
import Datepicker from 'vuejs-datepicker';
export default {
    props: ['resource', 'providers'],
    methods: {
        submit: function() {
            this.$emit("submit");
        },
        back: function() {
            this.$emit("back");
        },
        remove: function() {
            this.$emit("remove");
        }
    },
    components:{
        Datepicker
    }
}
</script>

<style scoped>
span {
    color: red;
}

.wider {
    width: 30px;
    height: 30px;
}
</style>
